Package Gnumed :: Package proxiedpyjamas :: Module jsonserver :: Class Fault |
[frames] | no frames]

# Class Fault

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                     xmlrpclib.Error --+
                                       |
                 xmlrpclib.ResponseError --+
                                           |
                                          Fault

Instance Methods
Inherited from `xmlrpclib.Error`: `__str__` Inherited from `exceptions.Exception`: `__init__`, `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`